## Sync

Since Ant 1.6

### Description

Synchronize a target directory from the files defined in one or more filesets.

### Parameters

Attribute | Description | Required
todir | the target directory to sync with the filesets | Yes
overwrite | Overwrite existing files even if the destination files are newer. | No; defaults to false.
includeEmptyDirs | Copy any empty directories included in the FileSet(s). | No; defaults to true.
failonerror | Log a warning message, but do not stop the build, when one of the nested filesets points to a directory that doesn't exist. | No; defaults to true.
verbose | Log the files that are being copied. | No; defaults to false.

### Parameters specified as nested elements

#### fileset

FileSets are used to select sets of files and directories.

Copyright © 2003 Apache Software Foundation. All rights Reserved.